Commit 45ce3ba2 authored by Patrik Dufresne's avatar Patrik Dufresne

Merge branch 'develop/patrik/upgrade-swt' into 'master'

Define dependencies version for SWT x86

See merge request !6
parents 8d54d2c0 e712a362
Pipeline #607 passed with stages
in 5 minutes and 22 seconds
......@@ -8,16 +8,10 @@
<version>${revision}</version>
</parent>
<artifactId>fontawesome</artifactId>
<properties>
<maven.compiler.source>1.7</maven.compiler.source>
<maven.compiler.target>1.7</maven.compiler.target>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
</properties>
<dependencies>
<dependency>
<groupId>org.eclipse.platform</groupId>
<artifactId>org.eclipse.jface</artifactId>
<scope>provided</scope>
</dependency>
<dependency>
<groupId>junit</groupId>
......
......@@ -10,8 +10,6 @@
*/
package com.patrikdufresne.fontawesome;
import java.lang.reflect.Field;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.layout.RowLayout;
......
......@@ -10,7 +10,6 @@
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
<maven.compiler.source>1.8</maven.compiler.source>
<maven.compiler.target>1.8</maven.compiler.target>
<swt.version>4.4.27</swt.version>
</properties>
<scm>
<developerConnection>scm:git:http://git.patrikdufresne.com/common/managers.git</developerConnection>
......@@ -136,11 +135,21 @@
<artifactId>org.eclipse.swt</artifactId>
<version>3.109.0</version>
</dependency>
<dependency>
<groupId>org.eclipse.platform</groupId>
<artifactId>org.eclipse.swt.win32.win32.x86</artifactId>
<version>3.108.0</version>
</dependency>
<dependency>
<groupId>org.eclipse.platform</groupId>
<artifactId>org.eclipse.swt.win32.win32.x86_64</artifactId>
<version>3.109.0</version>
</dependency>
<dependency>
<groupId>org.eclipse.platform</groupId>
<artifactId>org.eclipse.swt.gtk.linux.x86_64</artifactId>
<version>3.108.0</version>
</dependency>
<dependency>
<groupId>org.eclipse.platform</groupId>
<artifactId>org.eclipse.swt.gtk.linux.x86_64</artifactId>
......@@ -160,7 +169,7 @@
<dependency>
<groupId>org.eclipse.platform</groupId>
<artifactId>org.eclipse.jface.databinding</artifactId>
<version>1.8.400</version>
<version>1.8.300</version>
</dependency>
<dependency>
<groupId>org.eclipse.platform</groupId>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment